Create a ChatKit session
client.beta.chatkit.sessions.create(SessionCreateParams { user, workflow, chatkit_configuration, 2 more } body , RequestOptionsoptions ?): ChatSession { id, chatkit_configuration, client_secret, 7 more }
POST
/chatkit/sessionsCreate a ChatKit session
import OpenAI from 'openai';
const client = new OpenAI();
const chatSession = await client.beta.chatkit.sessions.create({ user: 'user_123', workflow: { id: 'workflow_alpha' } });
console.log(chatSession.id);
{
"id": "cksess_123",
"object": "chatkit.session",
"client_secret": "ek_example_00eyJleHBpcmVzX2F0IjogMTczNTY4OTYwMH0=",
"expires_at": 1735689600,
"workflow": {
"id": "workflow_alpha",
"version": null,
"state_variables": null,
"tracing": {
"enabled": true
}
},
"user": "user_123",
"rate_limits": {
"max_requests_per_1_minute": 10
},
"max_requests_per_1_minute": 10,
"status": "active",
"chatkit_configuration": {
"automatic_thread_titling": {
"enabled": true
},
"file_upload": {
"enabled": false,
"max_file_size": 512,
"max_files": 10
},
"history": {
"enabled": true,
"recent_threads": null
}
}
}
Returns Examples
{
"id": "cksess_123",
"object": "chatkit.session",
"client_secret": "ek_example_00eyJleHBpcmVzX2F0IjogMTczNTY4OTYwMH0=",
"expires_at": 1735689600,
"workflow": {
"id": "workflow_alpha",
"version": null,
"state_variables": null,
"tracing": {
"enabled": true
}
},
"user": "user_123",
"rate_limits": {
"max_requests_per_1_minute": 10
},
"max_requests_per_1_minute": 10,
"status": "active",
"chatkit_configuration": {
"automatic_thread_titling": {
"enabled": true
},
"file_upload": {
"enabled": false,
"max_file_size": 512,
"max_files": 10
},
"history": {
"enabled": true,
"recent_threads": null
}
}
}